# Updating an existing Insights Access Group Membership

Only Account Administrators can update Insights Access Group Memberships.

Note: To move a user from one Insights Access Group to another, delete the existing Access Group
Membership, then create a new one.


This endpoint returns structured Insights Access Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the insights_access_group_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /insights_access_group_memberships/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- user (User) - References the associated user.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.
    Enum: "user_name", "account_permission"

## Request fields (application/json):

  - `insights_access_group_membership` (object)

  - `insights_access_group_membership.can_edit` (boolean)
    Whether the user can create and edit custom classic Insights dashboards and reports.

Warning: Giving a user can_edit permission gives them access to all account data via Insights.

Note: It may take up to 15 minutes for the system to sync the can_edit field.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `insights_access_group_memberships` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


